(bibliography)=
# Bibliography

> *Nanos gigantum humeris insidentes.*

## Books and papers

Several books and articles are mentioned across the documentation and
the source code itself. Here is the complete list in no particular
order:

- Vallado, David A., and Wayne D. McClain. *Fundamentals of
  astrodynamics and applications*. Vol. 12. Springer Science &
  Business Media, 2001.
- Curtis, Howard. *Orbital mechanics for engineering students*.
  Butterworth-Heinemann, 2013.
- Bate, Roger R., Donald D. Mueller, William W. Saylor, and Jerry E.
  White. *Fundamentals of astrodynamics: (dover books on physics)*.
  Dover publications, 2013.
- Battin, Richard H. *An introduction to the mathematics and methods
  of astrodynamics*. Aiaa, 1999.
- Edelbaum, Theodore N. \"Propulsion requirements for controllable
  satellites.\" *ARS Journal* 31, no. 8 (1961): 1079-1089.
- Walker, M. J. H., B. Ireland, and Joyce Owens. \"A set modified
  equinoctial orbit elements.\" *Celestial Mechanics* 36.4 (1985):
  409-419.

## Software

poliastro wouldn\'t be possible without the tremendous, often unpaid and
unrecognised effort of thousands of volunteers who devote a significant
part of their lives to provide the best software money can buy, for
free. This is a list of direct poliastro dependencies with a citeable
resource, which doesn\'t account for the fact that I have used and
enjoyed free (as in freedom) operative systems, compilers, text editors,
IDEs and browsers for my whole academic life.

- Van Der Walt, Stefan, S. Chris Colbert, and Gael Varoquaux. \"The
  NumPy array: a structure for efficient numerical computation.\"
  *Computing in Science & Engineering* 13, no. 2 (2011): 22-30.
  [DOI:10.1109/MCSE.2011.37](http://dx.doi.org/10.1109/MCSE.2011.37)
- Virtanen, P., Gommers, R., Oliphant, T.E. et al. SciPy 1.0: fundamental algorithms for scientific computing in Python. Nat Methods 17, 261–272 (2020).[DOI:10.1038/s41592-019-0686-2](https://www.nature.com/articles/s41592-019-0686-2)
- Hunter✝, John D. \"Matplotlib: A 2D graphics environment.\"
  *Computing in science and engineering* 9, no. 3 (2007): 90-95.
  [DOI:10.1109/MCSE.2007.55](http://dx.doi.org/10.1109/MCSE.2007.55)
- Pérez, Fernando, and Brian E. Granger. \"IPython: a system for
  interactive scientific computing.\" *Computing in Science &
  Engineering* 9, no. 3 (2007): 21-29.
  [DOI:10.1109/MCSE.2007.53](http://dx.doi.org/10.1109/MCSE.2007.53)
- The Astropy Collaboration, A. M. Price-Whelan, B. M. Sipőcz, H. M. Günther, P. L. Lim, S. M.Crawford, S.  
Conseil, D. L. Shupe, M. W. Craig, N. Dencheva "The Astropy Project: Building an Open-science Project and Status of the v2.0 Core Package" The Astropy Collaboration et al AJ 156 123 (2018) [DOI:10.3847/1538-3881/aabc4f](https://iopscience.iop.org/article/10.3847/1538-3881/aabc4f)
